com.brightcove.player.mediacontroller

## Class BrightcovePreviewSeekBar

- java.lang.Object
- - android.view.View
  - - android.widget.ProgressBar
    - - android.widget.AbsSeekBar
      - - android.widget.SeekBar
        - - com.brightcove.player.mediacontroller.BrightcoveSeekBar
          - - com.brightcove.player.mediacontroller.BrightcovePreviewSeekBar

- All Implemented Interfaces:
    android.graphics.drawable.Drawable.Callback, android.view.accessibility.AccessibilityEventSource, android.view.KeyEvent.Callback, PreviewThumbnailView

      public class BrightcovePreviewSeekBar
      extends BrightcoveSeekBar
      implements PreviewThumbnailView

  The default `PreviewThumbnailView` in the Thumbnail plugin. It is also the default `BrightcoveSeekBar` used in the `BrightcoveMediaController` when `ThumbnailComponent.setupPreviewThumbnailController()` is called.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.widget.SeekBar

      `android.widget.SeekBar.OnSeekBarChangeListener`

    - ### Nested classes/interfaces inherited from class android.view.View

      `android.view.View.AccessibilityDelegate, android.view.View.BaseSavedState, android.view.View.DragShadowBuilder, android.view.View.MeasureSpec, android.view.View.OnApplyWindowInsetsListener, android.view.View.OnAttachStateChangeListener, android.view.View.OnCapturedPointerListener, android.view.View.OnClickListener, android.view.View.OnContextClickListener, android.view.View.OnCreateContextMenuListener, android.view.View.OnDragListener, android.view.View.OnFocusChangeListener, android.view.View.OnGenericMotionListener, android.view.View.OnHoverListener, android.view.View.OnKeyListener, android.view.View.OnLayoutChangeListener, android.view.View.OnLongClickListener, android.view.View.OnScrollChangeListener, android.view.View.OnSystemUiVisibilityChangeListener, android.view.View.OnTouchListener, android.view.View.OnUnhandledKeyEventListener`

    - ### Nested classes/interfaces inherited from interface com.brightcove.player.mediacontroller.PreviewThumbnailView

      `PreviewThumbnailView.OnPreviewChangeListener`

  - ### Field Summary

    - ### Fields inherited from class android.view.View

      `ACCESSIBILITY_LIVE_REGION_ASSERTIVE, ACCESSIBILITY_LIVE_REGION_NONE, ACCESSIBILITY_LIVE_REGION_POLITE, ALPHA, AUTOFILL_FLAG_INCLUDE_NOT_IMPORTANT_VIEWS, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DATE, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DAY, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_MONTH, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_YEAR, AUTOFILL_HINT_CREDIT_CARD_NUMBER, AUTOFILL_HINT_CREDIT_CARD_SECURITY_CODE, AUTOFILL_HINT_EMAIL_ADDRESS, AUTOFILL_HINT_NAME, AUTOFILL_HINT_PASSWORD, AUTOFILL_HINT_PHONE, AUTOFILL_HINT_POSTAL_ADDRESS, AUTOFILL_HINT_POSTAL_CODE, AUTOFILL_HINT_USERNAME, AUTOFILL_TYPE_DATE, AUTOFILL_TYPE_LIST, AUTOFILL_TYPE_NONE, AUTOFILL_TYPE_TEXT, AUTOFILL_TYPE_TOGGLE, DRAG_FLAG_GLOBAL, DRAG_FLAG_GLOBAL_PERSISTABLE_URI_PERMISSION, DRAG_FLAG_GLOBAL_PREFIX_URI_PERMISSION, DRAG_FLAG_GLOBAL_URI_READ, DRAG_FLAG_GLOBAL_URI_WRITE, DRAG_FLAG_OPAQUE, DRAWING_CACHE_QUALITY_AUTO, DRAWING_CACHE_QUALITY_HIGH, DRAWING_CACHE_QUALITY_LOW, EMPTY_STATE_SET, ENABLED_FOCUSED_SELECTED_STATE_SET, ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_FOCUSED_STATE_SET, ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, ENABLED_SELECTED_STATE_SET, ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_STATE_SET, ENABLED_WINDOW_FOCUSED_STATE_SET, FIND_VIEWS_WITH_CONTENT_DESCRIPTION, FIND_VIEWS_WITH_TEXT, FOCUS_BACKWARD, FOCUS_DOWN, FOCUS_FORWARD, FOCUS_LEFT, FOCUS_RIGHT, FOCUS_UP, FOCUSABLE, FOCUSABLE_AUTO, FOCUSABLES_ALL, FOCUSABLES_TOUCH_MODE, FOCUSED_SELECTED_STATE_SET, FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, FOCUSED_STATE_SET, FOCUSED_WINDOW_FOCUSED_STATE_SET, GONE, HAPTIC_FEEDBACK_ENABLED, IMPORTANT_FOR_ACCESSIBILITY_AUTO, IMPORTANT_FOR_ACCESSIBILITY_NO, IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS, IMPORTANT_FOR_ACCESSIBILITY_YES, IMPORTANT_FOR_AUTOFILL_AUTO, IMPORTANT_FOR_AUTOFILL_NO, IMPORTANT_FOR_AUTOFILL_NO_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_AUTOFILL_YES, IMPORTANT_FOR_AUTOFILL_YES_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_CONTENT_CAPTURE_AUTO, IMPORTANT_FOR_CONTENT_CAPTURE_NO, IMPORTANT_FOR_CONTENT_CAPTURE_NO_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_CONTENT_CAPTURE_YES, IMPORTANT_FOR_CONTENT_CAPTURE_YES_EXCLUDE_DESCENDANTS, INVISIBLE, KEEP_SCREEN_ON, LAYER_TYPE_HARDWARE, LAYER_TYPE_NONE, LAYER_TYPE_SOFTWARE, LAYOUT_DIRECTION_INHERIT, LAYOUT_DIRECTION_LOCALE, LAYOUT_DIRECTION_LTR, LAYOUT_DIRECTION_RTL, MEASURED_HEIGHT_STATE_SHIFT, MEASURED_SIZE_MASK, MEASURED_STATE_MASK, MEASURED_STATE_TOO_SMALL, NO_ID, NOT_FOCUSABLE, OVER_SCROLL_ALWAYS, OVER_SCROLL_IF_CONTENT_SCROLLS, OVER_SCROLL_NEVER, PRESSED_ENABLED_FOCUSED_SELECTED_STATE_SET, PRESSED_ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_SELECTED_STATE_SET, PRESSED_ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_STATE_SET, PRESSED_ENABLED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_SELECTED_STATE_SET, PRESSED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_STATE_SET, PRESSED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_SELECTED_STATE_SET, PRESSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_STATE_SET, PRESSED_WINDOW_FOCUSED_STATE_SET, ROTATION, ROTATION_X, ROTATION_Y, SCALE_X, SCALE_Y, SCREEN_STATE_OFF, SCREEN_STATE_ON, SCROLL_AXIS_HORIZONTAL, SCROLL_AXIS_NONE, SCROLL_AXIS_VERTICAL, SCROLL_INDICATOR_BOTTOM, SCROLL_INDICATOR_END, SCROLL_INDICATOR_LEFT, SCROLL_INDICATOR_RIGHT, SCROLL_INDICATOR_START, SCROLL_INDICATOR_TOP, SCROLLBAR_POSITION_DEFAULT, SCROLLBAR_POSITION_LEFT, SCROLLBAR_POSITION_RIGHT, SCROLLBARS_INSIDE_INSET, SCROLLBARS_INSIDE_OVERLAY, SCROLLBARS_OUTSIDE_INSET, SCROLLBARS_OUTSIDE_OVERLAY, SELECTED_STATE_SET, SELECTED_WINDOW_FOCUSED_STATE_SET, SOUND_EFFECTS_ENABLED, STATUS_BAR_HIDDEN, STATUS_BAR_VISIBLE, SYSTEM_UI_FLAG_FULLSCREEN, SYSTEM_UI_FLAG_HIDE_NAVIGATION, SYSTEM_UI_FLAG_IMMERSIVE, SYSTEM_UI_FLAG_IMMERSIVE_STICKY, SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN, SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION, SYSTEM_UI_FLAG_LAYOUT_STABLE, SYSTEM_UI_FLAG_LIGHT_NAVIGATION_BAR, SYSTEM_UI_FLAG_LIGHT_STATUS_BAR, SYSTEM_UI_FLAG_LOW_PROFILE, SYSTEM_UI_FLAG_VISIBLE, SYSTEM_UI_LAYOUT_FLAGS, TEXT_ALIGNMENT_CENTER, TEXT_ALIGNMENT_GRAVITY, TEXT_ALIGNMENT_INHERIT, TEXT_ALIGNMENT_TEXT_END, TEXT_ALIGNMENT_TEXT_START, TEXT_ALIGNMENT_VIEW_END, TEXT_ALIGNMENT_VIEW_START, TEXT_DIRECTION_ANY_RTL, TEXT_DIRECTION_FIRST_STRONG, TEXT_DIRECTION_FIRST_STRONG_LTR, TEXT_DIRECTION_FIRST_STRONG_RTL, TEXT_DIRECTION_INHERIT, TEXT_DIRECTION_LOCALE, TEXT_DIRECTION_LTR, TEXT_DIRECTION_RTL, TRANSLATION_X, TRANSLATION_Y, TRANSLATION_Z, VIEW_LOG_TAG, VISIBLE, WINDOW_FOCUSED_STATE_SET, X, Y, Z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcovePreviewSeekBar(android.content.Context context)` Instantiate a BrightcovePreviewSeekBar view
    `BrightcovePreviewSeekBar(android.content.Context context, android.util.AttributeSet attrs)` Instantiate a BrightcovePreviewSeekBar view
    `BrightcovePreviewSeekBar(android.content.Context context, android.util.AttributeSet attrs, int defaultStyle)` Instantiate a BrightcovePreviewSeekBar view

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOnPreviewChangeListener(PreviewThumbnailView.OnPreviewChangeListener listener)` Adds a `PreviewThumbnailView.OnPreviewChangeListener`
    `void` | `attachPreviewFrameLayout(android.widget.FrameLayout parentFrameLayout, BrightcoveControlBar brightcoveControlBar)` Attaches the this view's `ThumbnailView` to the parent frame layout.
    `ThumbnailView` | `getThumbnailView()` Returns the `ThumbnailView` where the thumbnail images will be drawn into.
    `void` | `hidePreview()` Hides the Preview Thumbnail View
    `boolean` | `isPreviewEnabled()` Returns true if the Preview Thumbnail is enabled, or false otherwise.
    `boolean` | `isShowingPreview()` Returns true if the Preview Thumbnail is currently being shown, or false otherwise
    `void` | `onBrightcoveProgressChanged(android.widget.SeekBar seekBar, int progress, boolean fromUser)` Notification that the progress level has changed.
    `void` | `onBrightcoveStartTrackingTouch(android.widget.SeekBar seekBar)` Notification that the user has started a touch gesture.
    `void` | `onBrightcoveStopTrackingTouch(android.widget.SeekBar seekBar)` Notification that the user has finished a touch gesture.
    `void` | `removeOnPreviewChangeListener(PreviewThumbnailView.OnPreviewChangeListener listener)` Removes a `PreviewThumbnailView.OnPreviewChangeListener`
    `void` | `reset()` Resets its components to its initial state
    `void` | `setPreviewEnabled(boolean previewEnabled)` Enables or disables the `PreviewThumbnailView`
    `void` | `setPreviewLoader(PreviewLoader previewLoader)` Sets the `PreviewLoader`
    `void` | `setVisibility(int visibility)`
    `void` | `showPreview()` Shows the Preview Thumbnail View

    - ### Methods inherited from class com.brightcove.player.mediacontroller.BrightcoveSeekBar

      `addMarker, addMarker, clearMarkers, getMarkerColor, getMarkerHeight, getMarkers, getMarkersLong, getMarkerWidth, onDraw, onInitializeAccessibilityEvent, removeMarker, removeMarker, setMarkerColor, setMarkerHeight, setMarkerWidth, setShouldMarkerOverdrawThumb`

    - ### Methods inherited from class android.widget.SeekBar

      `getAccessibilityClassName, setOnSeekBarChangeListener`

    - ### Methods inherited from class android.widget.AbsSeekBar

      `drawableHotspotChanged, drawableStateChanged, getKeyProgressIncrement, getSplitTrack, getThumb, getThumbOffset, getThumbTintBlendMode, getThumbTintList, getThumbTintMode, getTickMark, getTickMarkTintBlendMode, getTickMarkTintList, getTickMarkTintMode, jumpDrawablesToCurrentState, onKeyDown, onMeasure, onRtlPropertiesChanged, onSizeChanged, onTouchEvent, setKeyProgressIncrement, setMax, setMin, setSplitTrack, setSystemGestureExclusionRects, setThumb, setThumbOffset, setThumbTintBlendMode, setThumbTintList, setThumbTintMode, setTickMark, setTickMarkTintBlendMode, setTickMarkTintList, setTickMarkTintMode, verifyDrawable`

    - ### Methods inherited from class android.widget.ProgressBar

      `getCurrentDrawable, getIndeterminateDrawable, getIndeterminateTintBlendMode, getIndeterminateTintList, getIndeterminateTintMode, getInterpolator, getMax, getMaxHeight, getMaxWidth, getMin, getMinHeight, getMinWidth, getProgress, getProgressBackgroundTintBlendMode, getProgressBackgroundTintList, getProgressBackgroundTintMode, getProgressDrawable, getProgressTintBlendMode, getProgressTintList, getProgressTintMode, getSecondaryProgress, getSecondaryProgressTintBlendMode, getSecondaryProgressTintList, getSecondaryProgressTintMode, incrementProgressBy, incrementSecondaryProgressBy, invalidateDrawable, isAnimating, isIndeterminate, onAttachedToWindow, onDetachedFromWindow, onRestoreInstanceState, onSaveInstanceState, onVisibilityAggregated, postInvalidate, setIndeterminate, setIndeterminateDrawable, setIndeterminateDrawableTiled, setIndeterminateTintBlendMode, setIndeterminateTintList, setIndeterminateTintMode, setInterpolator, setInterpolator, setMaxHeight, setMaxWidth, setMinHeight, setMinWidth, setProgress, setProgress, setProgressBackgroundTintBlendMode, setProgressBackgroundTintList, setProgressBackgroundTintMode, setProgressDrawable, setProgressDrawableTiled, setProgressTintBlendMode, setProgressTintList, setProgressTintMode, setSecondaryProgress, setSecondaryProgressTintBlendMode, setSecondaryProgressTintList, setSecondaryProgressTintMode, setStateDescription`

    - ### Methods inherited from class android.view.View

      `addChildrenForAccessibility, addExtraDataToAccessibilityNodeInfo, addFocusables, addFocusables, addKeyboardNavigationClusters, addOnAttachStateChangeListener, addOnLayoutChangeListener, addOnUnhandledKeyEventListener, addTouchables, animate, announceForAccessibility, autofill, autofill, awakenScrollBars, awakenScrollBars, awakenScrollBars, bringToFront, buildDrawingCache, buildDrawingCache, buildLayer, callOnClick, cancelDragAndDrop, cancelLongPress, cancelPendingInputEvents, canResolveLayoutDirection, canResolveTextAlignment, canResolveTextDirection, canScrollHorizontally, canScrollVertically, checkInputConnectionProxy, clearAnimation, clearFocus, combineMeasuredStates, computeHorizontalScrollExtent, computeHorizontalScrollOffset, computeHorizontalScrollRange, computeScroll, computeSystemWindowInsets, computeVerticalScrollExtent, computeVerticalScrollOffset, computeVerticalScrollRange, createAccessibilityNodeInfo, createContextMenu, destroyDrawingCache, dispatchApplyWindowInsets, dispatchCapturedPointerEvent, dispatchConfigurationChanged, dispatchDisplayHint, dispatchDragEvent, dispatchDraw, dispatchDrawableHotspotChanged, dispatchFinishTemporaryDetach, dispatchGenericFocusedEvent, dispatchGenericMotionEvent, dispatchGenericPointerEvent, dispatchHoverEvent, dispatchKeyEvent, dispatchKeyEventPreIme, dispatchKeyShortcutEvent, dispatchNestedFling, dispatchNestedPreFling, dispatchNestedPrePerformAccessibilityAction, dispatchNestedPreScroll, dispatchNestedScroll, dispatchPointerCaptureChanged, dispatchPopulateAccessibilityEvent, dispatchProvideAutofillStructure, dispatchProvideStructure, dispatchRestoreInstanceState, dispatchSaveInstanceState, dispatchSetActivated, dispatchSetPressed, dispatchSetSelected, dispatchStartTemporaryDetach, dispatchSystemUiVisibilityChanged, dispatchTouchEvent, dispatchTrackballEvent, dispatchUnhandledMove, dispatchVisibilityChanged, dispatchWindowFocusChanged, dispatchWindowInsetsAnimationEnd, dispatchWindowInsetsAnimationPrepare, dispatchWindowInsetsAnimationProgress, dispatchWindowInsetsAnimationStart, dispatchWindowSystemUiVisiblityChanged, dispatchWindowVisibilityChanged, draw, findFocus, findViewById, findViewsWithText, findViewWithTag, fitSystemWindows, focusSearch, forceHasOverlappingRendering, forceLayout, generateViewId, getAccessibilityDelegate, getAccessibilityLiveRegion, getAccessibilityNodeProvider, getAccessibilityPaneTitle, getAccessibilityTraversalAfter, getAccessibilityTraversalBefore, getAlpha, getAnimation, getAnimationMatrix, getApplicationWindowToken, getAttributeResolutionStack, getAttributeSourceResourceMap, getAutofillHints, getAutofillId, getAutofillType, getAutofillValue, getBackground, getBackgroundTintBlendMode, getBackgroundTintList, getBackgroundTintMode, getBaseline, getBottom, getBottomFadingEdgeStrength, getBottomPaddingOffset, getCameraDistance, getClipBounds, getClipBounds, getClipToOutline, getContentCaptureSession, getContentDescription, getContext, getContextMenuInfo, getDefaultFocusHighlightEnabled, getDefaultSize, getDisplay, getDrawableState, getDrawingCache, getDrawingCache, getDrawingCacheBackgroundColor, getDrawingCacheQuality, getDrawingRect, getDrawingTime, getElevation, getExplicitStyle, getFilterTouchesWhenObscured, getFitsSystemWindows, getFocusable, getFocusables, getFocusedRect, getForeground, getForegroundGravity, getForegroundTintBlendMode, getForegroundTintList, getForegroundTintMode, getGlobalVisibleRect, getGlobalVisibleRect, getHandler, getHasOverlappingRendering, getHeight, getHitRect, getHorizontalFadingEdgeLength, getHorizontalScrollbarHeight, getHorizontalScrollbarThumbDrawable, getHorizontalScrollbarTrackDrawable, getId, getImportantForAccessibility, getImportantForAutofill, getImportantForContentCapture, getKeepScreenOn, getKeyDispatcherState, getLabelFor, getLayerType, getLayoutDirection, getLayoutParams, getLeft, getLeftFadingEdgeStrength, getLeftPaddingOffset, getLocalVisibleRect, getLocationInSurface, getLocationInWindow, getLocationOnScreen, getMatrix, getMeasuredHeight, getMeasuredHeightAndState, getMeasuredState, getMeasuredWidth, getMeasuredWidthAndState, getMinimumHeight, getMinimumWidth, getNextClusterForwardId, getNextFocusDownId, getNextFocusForwardId, getNextFocusLeftId, getNextFocusRightId, getNextFocusUpId, getOnFocusChangeListener, getOutlineAmbientShadowColor, getOutlineProvider, getOutlineSpotShadowColor, getOverlay, getOverScrollMode, getPaddingBottom, getPaddingEnd, getPaddingLeft, getPaddingRight, getPaddingStart, getPaddingTop, getParent, getParentForAccessibility, getPivotX, getPivotY, getPointerIcon, getResources, getRevealOnFocusHint, getRight, getRightFadingEdgeStrength, getRightPaddingOffset, getRootView, getRootWindowInsets, getRotation, getRotationX, getRotationY, getScaleX, getScaleY, getScrollBarDefaultDelayBeforeFade, getScrollBarFadeDuration, getScrollBarSize, getScrollBarStyle, getScrollIndicators, getScrollX, getScrollY, getSolidColor, getSourceLayoutResId, getStateDescription, getStateListAnimator, getSuggestedMinimumHeight, getSuggestedMinimumWidth, getSystemGestureExclusionRects, getSystemUiVisibility, getTag, getTag, getTextAlignment, getTextDirection, getTooltipText, getTop, getTopFadingEdgeStrength, getTopPaddingOffset, getTouchables, getTouchDelegate, getTransitionAlpha, getTransitionName, getTranslationX, getTranslationY, getTranslationZ, getUniqueDrawingId, getVerticalFadingEdgeLength, getVerticalScrollbarPosition, getVerticalScrollbarThumbDrawable, getVerticalScrollbarTrackDrawable, getVerticalScrollbarWidth, getViewTreeObserver, getVisibility, getWidth, getWindowAttachCount, getWindowId, getWindowInsetsController, getWindowSystemUiVisibility, getWindowToken, getWindowVisibility, getWindowVisibleDisplayFrame, getX, getY, getZ, hasExplicitFocusable, hasFocus, hasFocusable, hasNestedScrollingParent, hasOnClickListeners, hasOnLongClickListeners, hasOverlappingRendering, hasPointerCapture, hasTransientState, hasWindowFocus, inflate, invalidate, invalidate, invalidate, invalidateOutline, isAccessibilityFocused, isAccessibilityHeading, isActivated, isAttachedToWindow, isClickable, isContextClickable, isDirty, isDrawingCacheEnabled, isDuplicateParentStateEnabled, isEnabled, isFocusable, isFocusableInTouchMode, isFocused, isFocusedByDefault, isForceDarkAllowed, isHapticFeedbackEnabled, isHardwareAccelerated, isHorizontalFadingEdgeEnabled, isHorizontalScrollBarEnabled, isHovered, isImportantForAccessibility, isImportantForAutofill, isImportantForContentCapture, isInEditMode, isInLayout, isInTouchMode, isKeyboardNavigationCluster, isLaidOut, isLayoutDirectionResolved, isLayoutRequested, isLongClickable, isNestedScrollingEnabled, isOpaque, isPaddingOffsetRequired, isPaddingRelative, isPivotSet, isPressed, isSaveEnabled, isSaveFromParentEnabled, isScreenReaderFocusable, isScrollbarFadingEnabled, isScrollContainer, isSelected, isShowingLayoutBounds, isShown, isSoundEffectsEnabled, isTemporarilyDetached, isTextAlignmentResolved, isTextDirectionResolved, isVerticalFadingEdgeEnabled, isVerticalScrollBarEnabled, isVisibleToUserForAutofill, keyboardNavigationClusterSearch, layout, measure, mergeDrawableStates, offsetLeftAndRight, offsetTopAndBottom, onAnimationEnd, onAnimationStart, onApplyWindowInsets, onCancelPendingInputEvents, onCapturedPointerEvent, onCheckIsTextEditor, onConfigurationChanged, onCreateContextMenu, onCreateDrawableState, onCreateInputConnection, onDisplayHint, onDragEvent, onDrawForeground, onDrawScrollBars, onFilterTouchEventForSecurity, onFinishInflate, onFinishTemporaryDetach, onFocusChanged, onGenericMotionEvent, onHoverChanged, onHoverEvent, onInitializeAccessibilityNodeInfo, onKeyLongPress, onKeyMultiple, onKeyPreIme, onKeyShortcut, onKeyUp, onLayout, onOverScrolled, onPointerCaptureChange, onPopulateAccessibilityEvent, onProvideAutofillStructure, onProvideAutofillVirtualStructure, onProvideContentCaptureStructure, onProvideStructure, onProvideVirtualStructure, onResolvePointerIcon, onScreenStateChanged, onScrollChanged, onSetAlpha, onStartTemporaryDetach, onTrackballEvent, onVisibilityChanged, onWindowFocusChanged, onWindowSystemUiVisibilityChanged, onWindowVisibilityChanged, overScrollBy, performAccessibilityAction, performClick, performContextClick, performContextClick, performHapticFeedback, performHapticFeedback, performLongClick, performLongClick, playSoundEffect, post, postDelayed, postInvalidate, postInvalidateDelayed, postInvalidateDelayed, postInvalidateOnAnimation, postInvalidateOnAnimation, postOnAnimation, postOnAnimationDelayed, refreshDrawableState, releasePointerCapture, removeCallbacks, removeOnAttachStateChangeListener, removeOnLayoutChangeListener, removeOnUnhandledKeyEventListener, requestApplyInsets, requestFitSystemWindows, requestFocus, requestFocus, requestFocus, requestFocusFromTouch, requestLayout, requestPointerCapture, requestRectangleOnScreen, requestRectangleOnScreen, requestUnbufferedDispatch, requestUnbufferedDispatch, requireViewById, resetPivot, resolveSize, resolveSizeAndState, restoreDefaultFocus, restoreHierarchyState, saveAttributeDataForStyleable, saveHierarchyState, scheduleDrawable, scrollBy, scrollTo, sendAccessibilityEvent, sendAccessibilityEventUnchecked, setAccessibilityDelegate, setAccessibilityHeading, setAccessibilityLiveRegion, setAccessibilityPaneTitle, setAccessibilityTraversalAfter, setAccessibilityTraversalBefore, setActivated, setAlpha, setAnimation, setAnimationMatrix, setAutofillHints, setAutofillId, setBackground, setBackgroundColor, setBackgroundDrawable, setBackgroundResource, setBackgroundTintBlendMode, setBackgroundTintList, setBackgroundTintMode, setBottom, setCameraDistance, setClickable, setClipBounds, setClipToOutline, setContentCaptureSession, setContentDescription, setContextClickable, setDefaultFocusHighlightEnabled, setDrawingCacheBackgroundColor, setDrawingCacheEnabled, setDrawingCacheQuality, setDuplicateParentStateEnabled, setElevation, setEnabled, setFadingEdgeLength, setFilterTouchesWhenObscured, setFitsSystemWindows, setFocusable, setFocusable, setFocusableInTouchMode, setFocusedByDefault, setForceDarkAllowed, setForeground, setForegroundGravity, setForegroundTintBlendMode, setForegroundTintList, setForegroundTintMode, setHapticFeedbackEnabled, setHasTransientState, setHorizontalFadingEdgeEnabled, setHorizontalScrollBarEnabled, setHorizontalScrollbarThumbDrawable, setHorizontalScrollbarTrackDrawable, setHovered, setId, setImportantForAccessibility, setImportantForAutofill, setImportantForContentCapture, setKeepScreenOn, setKeyboardNavigationCluster, setLabelFor, setLayerPaint, setLayerType, setLayoutDirection, setLayoutParams, setLeft, setLeftTopRightBottom, setLongClickable, setMeasuredDimension, setMinimumHeight, setMinimumWidth, setNestedScrollingEnabled, setNextClusterForwardId, setNextFocusDownId, setNextFocusForwardId, setNextFocusLeftId, setNextFocusRightId, setNextFocusUpId, setOnApplyWindowInsetsListener, setOnCapturedPointerListener, setOnClickListener, setOnContextClickListener, setOnCreateContextMenuListener, setOnDragListener, setOnFocusChangeListener, setOnGenericMotionListener, setOnHoverListener, setOnKeyListener, setOnLongClickListener, setOnScrollChangeListener, setOnSystemUiVisibilityChangeListener, setOnTouchListener, setOutlineAmbientShadowColor, setOutlineProvider, setOutlineSpotShadowColor, setOverScrollMode, setPadding, setPaddingRelative, setPivotX, setPivotY, setPointerIcon, setPressed, setRevealOnFocusHint, setRight, setRotation, setRotationX, setRotationY, setSaveEnabled, setSaveFromParentEnabled, setScaleX, setScaleY, setScreenReaderFocusable, setScrollBarDefaultDelayBeforeFade, setScrollBarFadeDuration, setScrollbarFadingEnabled, setScrollBarSize, setScrollBarStyle, setScrollContainer, setScrollIndicators, setScrollIndicators, setScrollX, setScrollY, setSelected, setSoundEffectsEnabled, setStateListAnimator, setSystemUiVisibility, setTag, setTag, setTextAlignment, setTextDirection, setTooltipText, setTop, setTouchDelegate, setTransitionAlpha, setTransitionName, setTransitionVisibility, setTranslationX, setTranslationY, setTranslationZ, setVerticalFadingEdgeEnabled, setVerticalScrollBarEnabled, setVerticalScrollbarPosition, setVerticalScrollbarThumbDrawable, setVerticalScrollbarTrackDrawable, setWillNotCacheDrawing, setWillNotDraw, setWindowInsetsAnimationCallback, setX, setY, setZ, showContextMenu, showContextMenu, startActionMode, startActionMode, startAnimation, startDrag, startDragAndDrop, startNestedScroll, stopNestedScroll, toString, transformMatrixToGlobal, transformMatrixToLocal, unscheduleDrawable, unscheduleDrawable, updateDragShadow, willNotCacheDrawing, willNotDraw`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.brightcove.player.mediacontroller.PreviewThumbnailView

      `getMax, getProgress, getThumbOffset`

- - ### Constructor Detail

    - #### BrightcovePreviewSeekBar

          public BrightcovePreviewSeekBar(android.content.Context context)

      Instantiate a BrightcovePreviewSeekBar view
      Parameters:
        `context` - the Android context

    - #### BrightcovePreviewSeekBar

          public BrightcovePreviewSeekBar(android.content.Context context,
                                          android.util.AttributeSet attrs)

      Instantiate a BrightcovePreviewSeekBar view
      Parameters:
        `context` - the Android context
        `attrs` - The attributes of the XML tag that is inflating the view. This value may be null.

    - #### BrightcovePreviewSeekBar

          public BrightcovePreviewSeekBar(android.content.Context context,
                                          android.util.AttributeSet attrs,
                                          int defaultStyle)

      Instantiate a BrightcovePreviewSeekBar view
      Parameters:
        `context` - the Android context
        `attrs` - The attributes of the XML tag that is inflating the view. This value may be null.
        `defaultStyle` - An attribute in the current theme that contains a reference to a style resource that supplies default values for the view. Can be 0 to not look for defaults.

  - ### Method Detail

    - #### onBrightcoveProgressChanged

          public void onBrightcoveProgressChanged(android.widget.SeekBar seekBar,
                                                  int progress,
                                                  boolean fromUser)

      Notification that the progress level has changed. Clients can use the fromUser parameter to distinguish user-initiated changes from those that occurred programmatically.
      Overrides:
        `onBrightcoveProgressChanged` in class `BrightcoveSeekBar`
      Parameters:
        `seekBar` - The SeekBar whose progress has changed
        `progress` - The current progress level. This will be in the range min..max where min and max were set by `ProgressBar.setMin(int)` and `ProgressBar.setMax(int)`, respectively. (The default values for min is 0 and max is 100.)
        `fromUser` - True if the progress change was initiated by the user.

    - #### onBrightcoveStartTrackingTouch

          public void onBrightcoveStartTrackingTouch(android.widget.SeekBar seekBar)

      Notification that the user has started a touch gesture. Clients may want to use this to disable advancing the seekbar.
      Overrides:
        `onBrightcoveStartTrackingTouch` in class `BrightcoveSeekBar`
      Parameters:
        `seekBar` - The SeekBar in which the touch gesture began

    - #### onBrightcoveStopTrackingTouch

          public void onBrightcoveStopTrackingTouch(android.widget.SeekBar seekBar)

      Notification that the user has finished a touch gesture. Clients may want to use this to re-enable advancing the seekbar.
      Overrides:
        `onBrightcoveStopTrackingTouch` in class `BrightcoveSeekBar`
      Parameters:
        `seekBar` - The SeekBar in which the touch gesture began

    - #### attachPreviewFrameLayout

          public void attachPreviewFrameLayout(@NonNull
                                               android.widget.FrameLayout parentFrameLayout,
                                               @NonNull
                                               BrightcoveControlBar brightcoveControlBar)

      Description copied from interface: `PreviewThumbnailView`
      Attaches the this view's `ThumbnailView` to the parent frame layout.
      Specified by:
        `attachPreviewFrameLayout` in interface `PreviewThumbnailView`
      Parameters:
        `parentFrameLayout` - the parent frame layout where the ThumbnailView will be added
        `brightcoveControlBar` - the brightcove control bar

    - #### getThumbnailView

          @NonNull
          public ThumbnailView getThumbnailView()

      Description copied from interface: `PreviewThumbnailView`
      Returns the `ThumbnailView` where the thumbnail images will be drawn into.
      Specified by:
        `getThumbnailView` in interface `PreviewThumbnailView`

    - #### isShowingPreview

          public boolean isShowingPreview()

      Description copied from interface: `PreviewThumbnailView`
      Returns true if the Preview Thumbnail is currently being shown, or false otherwise
      Specified by:
        `isShowingPreview` in interface `PreviewThumbnailView`

    - #### isPreviewEnabled

          public boolean isPreviewEnabled()

      Description copied from interface: `PreviewThumbnailView`
      Returns true if the Preview Thumbnail is enabled, or false otherwise.
      Specified by:
        `isPreviewEnabled` in interface `PreviewThumbnailView`

    - #### showPreview

          public void showPreview()

      Description copied from interface: `PreviewThumbnailView`
      Shows the Preview Thumbnail View
      Specified by:
        `showPreview` in interface `PreviewThumbnailView`

    - #### setVisibility

          public void setVisibility(int visibility)

      Overrides:
        `setVisibility` in class `android.view.View`

    - #### hidePreview

          public void hidePreview()

      Description copied from interface: `PreviewThumbnailView`
      Hides the Preview Thumbnail View
      Specified by:
        `hidePreview` in interface `PreviewThumbnailView`

    - #### setPreviewEnabled

          public void setPreviewEnabled(boolean previewEnabled)

      Description copied from interface: `PreviewThumbnailView`
      Enables or disables the `PreviewThumbnailView`
      Specified by:
        `setPreviewEnabled` in interface `PreviewThumbnailView`
      Parameters:
        `previewEnabled` - true to enable

    - #### setPreviewLoader

          public void setPreviewLoader(@NonNull
                                       PreviewLoader previewLoader)

      Description copied from interface: `PreviewThumbnailView`
      Sets the `PreviewLoader`
      Specified by:
        `setPreviewLoader` in interface `PreviewThumbnailView`
      Parameters:
        `previewLoader` - the preview thumbnail loader
      See Also:
        `PreviewLoader`

    - #### addOnPreviewChangeListener

          public void addOnPreviewChangeListener(@NonNull
                                                 PreviewThumbnailView.OnPreviewChangeListener listener)

      Description copied from interface: `PreviewThumbnailView`
      Adds a `PreviewThumbnailView.OnPreviewChangeListener`
      Specified by:
        `addOnPreviewChangeListener` in interface `PreviewThumbnailView`

    - #### removeOnPreviewChangeListener

          public void removeOnPreviewChangeListener(@NonNull
                                                    PreviewThumbnailView.OnPreviewChangeListener listener)

      Description copied from interface: `PreviewThumbnailView`
      Removes a `PreviewThumbnailView.OnPreviewChangeListener`
      Specified by:
        `removeOnPreviewChangeListener` in interface `PreviewThumbnailView`

    - #### reset

          public void reset()

      Description copied from interface: `PreviewThumbnailView`
      Resets its components to its initial state
      Specified by:
        `reset` in interface `PreviewThumbnailView`